﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<dynamic>" %>

<div style="background-color: AppWorkspace;">
    <input type="text" jqxb-datasource="custCompactDetail" jqxb-datamember="Name" />
    <input type="text" jqxb-datasource="custCompactDetail" jqxb-datamember="Surname" />
    <table>
        <thead>
            <tr>
                <td>
                    Order Number
                </td>
                <td>
                    Order Date
                </td>
                <td colspan="2">
                    Action
                </td>
            </tr>
        </thead>
        <tbody jqxb-templatecontainer="custOrdersTpl" jqxb-datasource="custOrders">
            <tr jqxb-template="custOrdersTpl" jqxb-itemdatasourceidx="rowOrder" style="display: none;">
                <td>
                    <input type="text" jqxb-itemdatamember="number" />
                </td>
                <td>
                    <input type="text" jqxb-itemdatamember="date" />
                </td>
                <td>
                </td>
                <td>
                </td>
            </tr>
        </tbody>
    </table>
</div>
<script type="text/javascript">
    /*
    *   jQXB - Dynamic-Widget logic
    *
    */
    var CustomerDetailExt = {}
    CustomerDetailExt.saveCustomer = function () {
        jQXB.saveJSON('/Customer/SaveCustomer', jQXB.getDataSource('custCompactDetail'), function (data) { jQXBM.fireMessage(jQXBtopics.MSG_CUSTOMER_UPDATED, { id: data.id }, this) });
    }
    CustomerDetailExt.loadCustomer = function (id) {
        jQXB.getJSON('/Customer/getCustomer', { id: id },
                function (data) {
                    jQXB.setDataSource('custCompactDetail', data).
                         setDataSource('custOrders', data.ordersList).
                         doBind('custCompactDetail').
                         doBind('custOrders');
                });
    }

    CustomerDetailExt.clearSubscription = function () {
        jQXBM.unsubscribeMessage(jQXBtopics.MSG_CUSTOMER_SELECTED, CustomerDetailExt.loadCustomer);
        jQXBM.unsubscribeMessage(jQXBtopics.MSG_PREPARELOADING, CustomerDetailExt.clearSubscription);
    }

    jQuery(document).ready(function () {
        jQXBM.subscribeMessage(jQXBtopics.MSG_CUSTOMER_SELECTED, CustomerDetailExt.loadCustomer);
        jQXBM.subscribeMessage(jQXBtopics.MSG_PREPARELOADING, CustomerDetailExt.clearSubscription);
    });
</script>
